Bug 487973 - Review Request: lxmenu-data - Data files for the LXDE menu
Review Request: lxmenu-data - Data files for the LXDE menu
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sebastian Vahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2009-03-01 17:01 EST by Christoph Wickert
Modified: 2009-06-13 15:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 14:15:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-03-01 17:01:02 EST
Spec URL: http://cwickert.fedorapeople.org/review/lxmenu-data.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxmenu-data-0.1-1.fc11.src.rpm
Description: The lxmenu-data contains files used to build the menu in LXDE according to the freedesktop-org menu spec. Currently it's used by LXPanel and LXLauncher.
Comment 1 Sebastian Vahl 2009-03-01 17:57:18 EST
I'll doing the review.
Comment 2 Sebastian Vahl 2009-03-12 17:54:17 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on:
[x]  Rpmlint output:
W: patch-not-applied Patch0: %{name}-0.1-intltool.patch
[x]  Package is not relocatable.
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section 
of Packaging Guidelines.
[!]  License field in the package spec file matches the actual license.
License type: GPLv2+
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text 
of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 1c35ad4bf05cd076ce4a9bb64a246351
MD5SUM upstream package: 1c35ad4bf05cd076ce4a9bb64a246351
[x]  Package is not known to require ExcludeArch
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging 
Guidelines.
[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[-]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[-]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if 
available.
[x]  Reviewer should test that the package builds in mock.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=1211877
[x]  Package should compile and build into binary rpms on all supported architectures.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=1211877
[x]  Package functions as described.
[-]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[-]  File based requires are sane.


=== Issues ===
1. lxmenu-data is derived from gnome-menus which is licensed under LGPLv2+. Please ask upstream for a license change.

=== Final Notes ===
1. intltool-0.37.0 is indeed enough. So enable the intltool.patch on all versions.
2. The license issue is a blocker here.
Comment 3 Christoph Wickert 2009-03-22 13:25:12 EDT
Upstream confirmed that it should be LGPLv2+ like gnome-menus. Fixed license in spec and in RPM.

Intltool does not matter as long as we don't build this package for F9. Patch will be in upstream in 0.2.

I have patched the menu to use Fedora's default menu structure:
http://cwickert.fedorapeople.org/review/lxmenu-data.spec
http://cwickert.fedorapeople.org/review/lxmenu-data-0.1-2.fc11.src.rpm
Comment 4 Sebastian Vahl 2009-03-24 12:30:07 EDT
Looks good now.

================
*** APPROVED ***
================
Comment 5 Christoph Wickert 2009-03-24 13:13:49 EDT
New Package CVS Request
=======================
Package Name: lxmenu-data
Short Description: Data files for the LXDE menu
Owners: cwickert svahl
Branches: F-10
InitialCC:
Comment 6 Kevin Fenzi 2009-03-24 13:26:09 EDT
cvs done.
Comment 8 Fedora Update System 2009-04-29 11:08:42 EDT
lxmenu-data-0.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lxmenu-data-0.1-2.fc10
Comment 9 Fedora Update System 2009-05-21 19:29:33 EDT
lxmenu-data-0.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Christoph Wickert 2009-05-22 21:44:30 EDT
Package Change Request
======================
Package Name: lxmenu-data
New Branches: EL-4 EL-5
Owners: cwickert
Comment 11 Kevin Fenzi 2009-05-23 01:34:40 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.